pub struct Info<'a> {
    name: &'a str,
    version: &'a str,
    author: &'a str,
}

impl Info<'_> {
    pub fn to_name(&self) -> String {
        format!("{} {}", self.name, self.version)
    }
    pub fn to_author(&self) -> String {
        self.author.to_owned()
    }
}

pub const INFO: Info = Info {
    name: "inkwell",
    version: "0.666.0-rc",
    author: "Bendy (real)",
};

// FIXME: this needs to be configurable via UCI
pub const depth: u8 = 6;
